layer at (0,0) size 480x360
  LayoutView at (0,0) size 480x360
layer at (0,0) size 480x360
  LayoutSVGRoot {svg} at (0,0) size 480x360
    LayoutSVGHiddenContainer {defs} at (0,0) size 0x0
    LayoutSVGContainer {g} at (10,16) size 420x279
      LayoutSVGHiddenContainer {defs} at (0,0) size 0x0
        LayoutSVGResourceFilter {filter} [id="default"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMinMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMinMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMinMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMidMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMidMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMidMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMaxMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMaxMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMaxMeet"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMinSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMinSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMinSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMidSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMidSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMidSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMinYMaxSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMidYMaxSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
        LayoutSVGResourceFilter {filter} [id="xMaxYMaxSlice"] [filterUnits=objectBoundingBox] [primitiveUnits=userSpaceOnUse]
          [feImage image-size="100x100"]
      LayoutSVGContainer {g} at (10,16) size 420x279 [transform={m=((1.00,0.00)(0.00,1.00)) t=(0.00,30.00)}]
        LayoutSVGText {text} at (61,-14) size 358x18 contains 1 chunk(s)
          LayoutSVGInlineText {#text} at (0,0) size 357x18
            chunk 1 (middle anchor) text run 1 at (61.68,0.00) startOffset 0 endOffset 47 width 356.63: "Test preserveAspectRatio on an feImage element."
        LayoutSVGText {text} at (16,22) size 47x10 contains 1 chunk(s)
          LayoutSVGInlineText {#text} at (0,0) size 46x10
            chunk 1 (middle anchor) text run 1 at (16.99,30.00) startOffset 0 endOffset 13 width 46.02: "Raster to fit"
        LayoutSVGContainer {g} at (20,70) size 40x40 [transform={m=((1.00,0.00)(0.00,1.00)) t=(20.00,40.00)}]
          LayoutSVGRect {rect} at (20,70) size 40x40 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=40.00] [height=40.00]
            [filter="default"] LayoutSVGResourceFilter {filter} at (0,0) size 40x40
        LayoutSVGText {text} at (14,102) size 43x10 contains 1 chunk(s)
          LayoutSVGInlineText {#text} at (0,0) size 43x10
            chunk 1 (middle anchor) text run 1 at (14.24,110.00) startOffset 0 endOffset 10 width 42.52: "Viewport 1"
        LayoutSVGContainer {g} at (10,150) size 50x30 [transform={m=((1.00,0.00)(0.00,1.00)) t=(10.00,120.00)}]
          LayoutSVGRect {rect} at (10,150) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
        LayoutSVGText {text} at (14,172) size 43x10 contains 1 chunk(s)
          LayoutSVGInlineText {#text} at (0,0) size 43x10
            chunk 1 (middle anchor) text run 1 at (14.24,180.00) startOffset 0 endOffset 10 width 42.52: "Viewport 2"
        LayoutSVGContainer {g} at (20,220) size 30x60 [transform={m=((1.00,0.00)(0.00,1.00)) t=(20.00,190.00)}]
          LayoutSVGRect {rect} at (20,220) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
        LayoutSVGContainer {g} at (120,52) size 120x108 [transform={m=((1.00,0.00)(0.00,1.00)) t=(120.00,50.00)}]
          LayoutSVGText {text} at (0,-28) size 115x10 contains 1 chunk(s)
            LayoutSVGInlineText {#text} at (0,0) size 115x10
              chunk 1 text run 1 at (0.00,-20.00) startOffset 0 endOffset 36 width 114.92: "---------- meet --------------------"
          LayoutSVGContainer {g} at (120,67) size 50x43
            LayoutSVGText {text} at (0,-13) size 23x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 23x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 22.50: "xMin*"
            LayoutSVGRect {rect} at (120,80) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (120,80) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMinYMinMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
          LayoutSVGContainer {g} at (190,67) size 50x43 [transform={m=((1.00,0.00)(0.00,1.00)) t=(70.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 23x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 23x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 22.50: "xMid*"
            LayoutSVGRect {rect} at (190,80) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (190,80) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMidYMidMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
          LayoutSVGContainer {g} at (120,117) size 50x43 [transform={m=((1.00,0.00)(0.00,1.00)) t=(0.00,50.00)}]
            LayoutSVGText {text} at (0,-13) size 25x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 25x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 25.00: "xMax*"
            LayoutSVGRect {rect} at (120,130) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (120,130) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMaxYMaxMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
        LayoutSVGContainer {g} at (300,52) size 130x88 [transform={m=((1.00,0.00)(0.00,1.00)) t=(300.00,50.00)}]
          LayoutSVGText {text} at (0,-28) size 127x10 contains 1 chunk(s)
            LayoutSVGInlineText {#text} at (0,0) size 127x10
              chunk 1 text run 1 at (0.00,-20.00) startOffset 0 endOffset 40 width 126.91: "---------- meet ------------------------"
          LayoutSVGContainer {g} at (300,67) size 30x73
            LayoutSVGText {text} at (0,-13) size 24x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 24x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 24.01: "*YMin"
            LayoutSVGRect {rect} at (300,80) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (300,80) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMinYMinMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
          LayoutSVGContainer {g} at (350,67) size 30x73 [transform={m=((1.00,0.00)(0.00,1.00)) t=(50.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 24x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 24x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 24.01: "*YMid"
            LayoutSVGRect {rect} at (350,80) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (350,80) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMidYMidMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
          LayoutSVGContainer {g} at (400,67) size 30x73 [transform={m=((1.00,0.00)(0.00,1.00)) t=(100.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 27x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 27x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 26.51: "*YMax"
            LayoutSVGRect {rect} at (400,80) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (400,80) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMaxYMaxMeet"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
        LayoutSVGContainer {g} at (120,187) size 130x88 [transform={m=((1.00,0.00)(0.00,1.00)) t=(120.00,185.00)}]
          LayoutSVGText {text} at (0,-28) size 128x10 contains 1 chunk(s)
            LayoutSVGInlineText {#text} at (0,0) size 128x10
              chunk 1 text run 1 at (0.00,-20.00) startOffset 0 endOffset 42 width 127.90: "---------- slice -------------------------"
          LayoutSVGContainer {g} at (120,202) size 30x73
            LayoutSVGText {text} at (0,-13) size 23x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 23x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 22.50: "xMin*"
            LayoutSVGRect {rect} at (120,215) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (120,215) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMinYMinSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
          LayoutSVGContainer {g} at (170,202) size 30x73 [transform={m=((1.00,0.00)(0.00,1.00)) t=(50.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 23x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 23x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 22.50: "xMid*"
            LayoutSVGRect {rect} at (170,215) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (170,215) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMidYMidSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
          LayoutSVGContainer {g} at (220,202) size 30x73 [transform={m=((1.00,0.00)(0.00,1.00)) t=(100.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 25x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 25x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 25.00: "xMax*"
            LayoutSVGRect {rect} at (220,215) size 30x60 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=29.00] [height=59.00]
            LayoutSVGRect {rect} at (220,215) size 30x60 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=30.00] [height=60.00]
              [filter="xMaxYMaxSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 30x60
        LayoutSVGContainer {g} at (300,187) size 120x108 [transform={m=((1.00,0.00)(0.00,1.00)) t=(300.00,185.00)}]
          LayoutSVGText {text} at (0,-28) size 116x10 contains 1 chunk(s)
            LayoutSVGInlineText {#text} at (0,0) size 116x10
              chunk 1 text run 1 at (0.00,-20.00) startOffset 0 endOffset 38 width 115.91: "---------- slice ---------------------"
          LayoutSVGContainer {g} at (300,202) size 50x43
            LayoutSVGText {text} at (0,-13) size 24x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 24x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 24.01: "*YMin"
            LayoutSVGRect {rect} at (300,215) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (300,215) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMinYMinSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
          LayoutSVGContainer {g} at (370,202) size 50x43 [transform={m=((1.00,0.00)(0.00,1.00)) t=(70.00,0.00)}]
            LayoutSVGText {text} at (0,-13) size 24x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 24x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 24.01: "*YMid"
            LayoutSVGRect {rect} at (370,215) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (370,215) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMidYMidSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
          LayoutSVGContainer {g} at (300,252) size 50x43 [transform={m=((1.00,0.00)(0.00,1.00)) t=(0.00,50.00)}]
            LayoutSVGText {text} at (0,-13) size 27x10 contains 1 chunk(s)
              LayoutSVGInlineText {#text} at (0,0) size 27x10
                chunk 1 text run 1 at (0.00,-5.00) startOffset 0 endOffset 5 width 26.51: "*YMax"
            LayoutSVGRect {rect} at (300,265) size 50x30 [stroke={[type=SOLID] [color=#0000FF]}] [x=0.50] [y=0.50] [width=49.00] [height=29.00]
            LayoutSVGRect {rect} at (300,265) size 50x30 [fill={[type=SOLID] [color=#FF0000]}] [x=0.00] [y=0.00] [width=50.00] [height=30.00]
              [filter="xMaxYMaxSlice"] LayoutSVGResourceFilter {filter} at (0,0) size 50x30
    LayoutSVGContainer {g} at (10,310) size 230x37
      LayoutSVGText {text} at (10,310) size 230x37 contains 1 chunk(s)
        LayoutSVGInlineText {#text} at (0,0) size 230x37
          chunk 1 text run 1 at (10.00,340.00) startOffset 0 endOffset 16 width 229.47: "$Revision: 1.3 $"
    LayoutSVGRect {rect} at (0,0) size 480x360 [stroke={[type=SOLID] [color=#000000]}] [x=1.00] [y=1.00] [width=478.00] [height=358.00]
